## Apache Zeta Components Manual :: Docs For Class ezcDocumentRstToken

### Document::ezcDocumentRstToken

### Class ezcDocumentRstToken

Struct for RST document document tokens

Source for this file: /Document/src/document/rst/token.php

    ezcBaseStruct
       |
       --ezcDocumentRstToken

Version: | //autogen//

### Constants

`BACKSLASH = 3` |
`EOF = 6` |
`NEWLINE = 2` |
`SPECIAL_CHARS = 4` |
`TEXT_LINE = 5` |
`WHITESPACE = 1` |

### Member Variables

public mixed | `$content` Token content
public bool | `$escaped = false` For text nodes we need an additional identifier, if this text node has been escaped, and though is intentionally freed from any potential special meaning.
public int | `$line` Line of the token in the source file
public int | `$position` Position of the token in its line.
public int | `$type` Token type

### Method Summary

public static string | `getTokenName( $type )` Get token name from type

### Methods

#### getTokenName

static string getTokenName( int $type )

Get token name from type

Return a user readable name from the numeric token type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | int |

Documentation generated by phpDocumentor 1.4.3